# Class: ResultSet

Defined in: | src/resultset.coffee

## Overview

Data sets generated by executing SQL statements Result sets contains a cursor which points to the current position on the resulting data record. Initially this cursor is positioned before the first record of the data. Calling the ResultSet#next moves the cursor one position forward

## Instance Method Summary

- # (void) next() Moves the cursor ,that points to resutset data record, one position forward.
- # (void) getString(column) Gets the given column's value as String
- # (void) getInt(column) Gets the given column's value as int
- # (void) getTimestamp(column) Gets the given column's value as a string representation of a JDBC timestamp
- # (void) getMetaData() Retrieves the number, types and properties of this ResultSet object's columns

## Constructor Details

# (void) constructor(resultSet)

Constructor method

### Parameters:

- resultSet ( `Object` )

## Instance Method Details

# (void) next()

Moves the cursor ,that points to resutset data record, one position forward. this method executed synchronously

# (void) getString(column)

Gets the given column's value as String

# (void) getInt(column)

Gets the given column's value as int

# (void) getTimestamp(column)

Gets the given column's value as a string representation of a JDBC timestamp

# (void) getMetaData()

Retrieves the number, types and properties of this ResultSet object's columns

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input